/*
 * 11/01/2002
 *
 * ToolsTabbedPane
 * Copyright (C) 2002 Vouriot Thierry
 * thierry.vouriot@free.fr
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.gui;

import javax.swing.*;

/** Onglets contenant des outils (panneau gauche) */
public class ToolsTabbedPane extends JTabbedPane {
    
    /** Panel contenant l'explorateur de fichiers */
    protected final PanelFileExplorer pnlFileExplorer;
    
    /** Constructeur
     * @param fente principale de l'application
     */
    public ToolsTabbedPane(ElifeFrame fr) {
        
        pnlFileExplorer = new PanelFileExplorer(fr);
        
        this.add("Explorateur",pnlFileExplorer);
    }
}
