/*
 * 11/01/2002
 *
 * ElifeSeparator
 * Copyright (C) 2002 Vouriot Thierry
 * thierry.vouriot@free.fr
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.toolbars;

import java.awt.Dimension;
import javax.swing.JToolBar;
import javax.swing.UIManager;

/** Sparateur de boutons spcial pour la barre d'outils
 */
public class ElifeSeparator extends JToolBar.Separator {
    
    private static final String uiClassID = "ElifeSeparatorUI";
    static {
        UIManager.getDefaults().put("ElifeSeparatorUI","tvouriot.elife.toolbars.ElifeSeparatorUI");
    }
    
    /** Constructeur
     * @param d dimension du sparateur
     */    
    public ElifeSeparator(Dimension d) {
        super(d);
    }
    
    public String getUIClassID() {
        return uiClassID;
    }
    
    public void updateUI() {
        this.setUI((ElifeSeparatorUI) UIManager.getUI(this));
    }
}
